View Issue Details

IDProjectCategoryView StatusLast Update
0002018SymmetricDSImprovementpublic2014-10-27 11:52
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.11 
Target Version3.6.11Fixed in Version3.6.11 
Summary0002018: Translate sql server's getdate() function to current_timestamp when used as a default value in building ddl for other platforms
DescriptionTranslate sql server's getdate() function to current_timestamp when used as a default value in building ddl for other platforms
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 59fce924

2014-10-17 09:40:13

chenson

Details Diff
0002018: Translate sql server's getdate() function to current_timestamp when used as a default value in building ddl for other platforms
0002018
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/PlatformColumn.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/test/java/org/jumpmind/db/platform/AbstractDdlBuilderTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

SymmetricDS: master 8b2ac6c5

2014-10-17 11:30:32

chenson

Details Diff
0002018: Translate sql server's getdate() function to current_timestamp when used as a default value in building ddl for other platforms
0002018
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

SymmetricDS: master b3462bb1

2014-10-17 17:14:45

chenson

Details Diff
0002018: Translate sql server's getdate() function to current_timestamp when used as a default value in building ddl for other platforms
0002018
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2014-10-17 09:39 chenson New Issue
2014-10-17 09:39 chenson Status new => assigned
2014-10-17 09:39 chenson Assigned To => chenson
2014-10-17 10:00 chenson Changeset attached => SymmetricDS trunk r8812
2014-10-17 10:00 chenson Changeset attached => SymmetricDS 3.6 r8813
2014-10-17 12:00 chenson Changeset attached => SymmetricDS trunk r8814
2014-10-17 12:00 chenson Changeset attached => SymmetricDS 3.6 r8815
2014-10-17 18:00 chenson Changeset attached => SymmetricDS trunk r8818
2014-10-27 11:46 chenson Status assigned => resolved
2014-10-27 11:46 chenson Fixed in Version => 3.6.11
2014-10-27 11:46 chenson Resolution open => fixed
2014-10-27 11:52 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b3462bb1
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 8b2ac6c5
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 59fce924